#include <iostream>
using namespace std;
int main(){
    int N,c,os;
    cin>>N;
    c=N/2;
    os=N%2;
    for(int i=0;i<c;i++){
        if(os==1 && i==0){
            cout<<7;
        }else{
            cout<<1;
        }
    }



    return 0;
}
